NETDEV_RX_HANDLER_RE(9)

NAME
netdev_rx_handler_register - register receive handler

SYNOPSIS

int netdev_rx_handler_register(struct net_device * dev, rx_handler_func_t * rx_handler, void * rx_handler_data);

ARGUMENTS

dev
    device to register a handler for

rx_handler
    receive handler to register

rx_handler_data
    data pointer that is used by rx handler

DESCRIPTION

Register a receive handler for a device. This handler will then be called from __netif_receive_skb. A negative errno code is returned on a failure.

The caller must hold the rtnl_mutex.

For a general description of rx_handler, see enum rx_handler_result.

COPYRIGHT